Bug 833833 - ovirt-engine-backend: reconstruct master domain fails with Unsupported Storage Domain status: ('maintenance',)
ovirt-engine-backend: reconstruct master domain fails with Unsupported Storag...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
urgent Severity urgent
: ---
: 3.1.0
Assigned To: mkublin
Dafna Ron
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 08:55 EDT by Dafna Ron
Modified: 2016-02-10 11:42 EST (History)
10 users (show)

See Also:
Fixed In Version: SI7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (566.60 KB, application/x-gzip)
2012-06-20 08:58 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-06-20 08:55:21 EDT
Description of problem:

reconstruct master domain will fail with error: 

Unsupported Storage Domain status: ('maintenance',)

Domain status in case of a problem is changed to maintenance instead of inactive and reconstruct will fail. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: full logs are attached


vdsm: 

Thread-573::ERROR::2012-06-20 15:39:16,931::task::853::TaskManager.Task::(_setError) Task=`646a3ea0-b361-4a6b-b147-cd2d9843a977`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 861, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/logUtils.py", line 38, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/storage/hsm.py", line 1469, in reconstructMaster
    domDict[d] = sd.validateSDDeprecatedStatus(status)
  File "/usr/share/vdsm/storage/sd.py", line 160, in validateSDDeprecatedStatus
    raise se.StorageDomainStatusError(status)
StorageDomainStatusError: Unsupported Storage Domain status: ('maintenance',)
Thread-573::DEBUG::2012-06-20 15:39:16,932::task::872::TaskManager.Task::(_run) Task=`646a3ea0-b361-4a6b-b147-cd2d9843a977`::Task._run: 646a3ea0-b361-4a6b-b147-cd2d9843a977 ('399b380a-eb27-4cc5-a409-f973eb283ad9', 'iSCSI', 'ac7366fa-3e03
-4bb4-8d03-c126c4deafbd', {'ac7366fa-3e03-4bb4-8d03-c126c4deafbd': 'active', '1ab4009e-18c3-4041-b3ce-a3cab203f330': 'active', '2b403b4b-3b34-4e79-89ae-749cd4352f66': 'maintenance', 'd8c4e43a-e956-4c56-b9cb-76dc98e3ab9b': 'maintenance'},
 90, None, 5, 60, 10, 3) {} failed - stopping task


backend: 

2012-06-20 15:39:09,821 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (QuartzScheduler_Worker-45) [19904b48] Command org.ovirt.engine.core.vdsbroker.vdsbroker.ReconstructMasterVDSCommand return value 
 Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusOnlyReturnForXmlRpc
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         376
mMessage                      Unsupported Storage Domain status: ('maintenance',)
Comment 1 Dafna Ron 2012-06-20 08:58:17 EDT
Created attachment 593200 [details]
logs
Comment 2 mkublin 2012-06-20 09:12:25 EDT
http://gerrit.ovirt.org/#/c/5484/
Comment 3 Dafna Ron 2012-06-25 10:56:50 EDT
verified on si7
reconstruct did not fail.

Note You need to log in before you can comment on or make changes to this bug.